module Autobots
  class Railtie < Rails::Railtie
    initializer "autobots.configure_rails_initialization" do
      Rails.application.middleware.use Autobots::PowerBy
    end
  end

  class PowerBy
    def initialize(app)
      @app = app
    end

    def call(env)
      status, headers, response = @app.call(env)
      headers["X-Powered-By"] = "Autobots"

      [status, headers, response]
    end
  end
end
